LibreOffice LibreOffice 5.3 SDK API Reference

Classes | Modules
XDragSource.idl File Reference
`import "com/sun/star/datatransfer/dnd/InvalidDNDOperationException.idl";`
`import "com/sun/star/datatransfer/dnd/DragGestureEvent.idl";`
`import "com/sun/star/datatransfer/XTransferable.idl";`
`import "com/sun/star/lang/IllegalArgumentException.idl";`

Go to the source code of this file.

## Classes
interface | XDragSource
| This interface is implemented by a view or window that supports drag operations and will be received as part of a DragGestureEvent through a com::sun::star::datatransfer::dnd::XDragGestureListener::dragGestureRecognized() callback. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::datatransfer
| Clipboard and Drag&Drop interfaces.
module | com::sun::star::datatransfer::dnd
| Drag&Drop specific interfaces.